/****    SimpleText.h    ****/

/****    public declarations/definitions for SimpleText.c    ****/

#ifndef	_XiSimpleText_h
#define	_XiSimpleText_h	1

/**********************************************************************
*  Copyright (c) 1990, 1991, 1992 Iris Computing Laboratories.
*
*  This software is provided for demonstration purposes only.  As
*  freely-distributed, modifiable source code, this software carries
*  absolutely no warranty.  Iris Computing Laboratories disclaims
*  all warranties for this software, including any implied warranties
*  of merchantability and fitness, and shall not be liable for
*  damages of any type resulting from its use.
*  Permission to use, copy, modify, and distribute this source code
*  for any purpose and without fee is hereby granted, provided that
*  the above copyright and this permission notice appear in all copies
*  and supporting documentation, and provided that Iris Computing
*  Laboratories not be named in advertising or publicity pertaining
*  to the redistribution of this software without specific, written
*  prior permission.
**********************************************************************/

/********************************************************************
A SimpleText widget implements a one-line text entry widget, based
on the Athena text widget.  Unlike the Athena dialog widget, it does
not support buttons.
   A convenience function, XiSimpleTextGetString(), can be used to
retrieve the current text string.  Likewise, XiSimpleTextSetString()
can be used to replace the current text string.

Resources:

Name				Class			Data Type		Default		Modify?
----				-----			---------		-------		-------
XiNlabel			XiCLabel		String			""
XiNtext				XiCText			String			""
XiNtextWidth		XiCTextWidth	int				200
XiNtextBorderWidth	XiCTextWidth	int				1
XiNfont				XiCFont			XFontStruct *	XtDefaultFont

   Public interfaces are described below.
********************************************************************/

#ifdef X11R3
#include <X11/Form.h>
#else
#include <X11/Xaw/Form.h>
#endif



/*
Resource definitions:
*/

#define XiNlabel			"label"
#define XiNtext				"text"
#define XiNtextWidth		"textWidth"
#define XiNtextBorderWidth	"textBorderWidth"
#define XiNfont				"font"
#define XiCLabel			"Label"
#define XiCText 			"Text"
#define XiCTextWidth		"TextWidth"
#define XiCTextBorderWidth	"TextBorderWidth"
#define XiCFont				"Font"


typedef struct _XiSimpleTextClassRec *XiSimpleTextWidgetClass;
typedef struct _XiSimpleTextRec *XiSimpleTextWidget;

extern WidgetClass xiSimpleTextWidgetClass;


/*
Public functions:
*/

extern char *XiSimpleTextGetString();
/*	XiSimpleTextwidget simple_text_widget;
*/

extern void XiSimpleTextSetString();
/*	XiSimpleTextwidget simple_text_widget;
	char *string;
*/

#endif /* _XiSimpleText_h  */
