/****    cctool.h    ****    interface for cctool.c    ****/

#ifndef CCTOOL_H
#define CCTOOL_H	1

/**********************************************************************
*  Copyright (c) 1990, 1991, 1992 Iris Computing Laboratories.
*
*  This software is provided for demonstration purposes only.  As
*  freely-distributed, modifiable source code, this software carries
*  absolutely no warranty.  Iris Computing Laboratories disclaims
*  all warranties for this software, including any implied warranties
*  of merchantability and fitness, and shall not be liable for
*  damages of any type resulting from its use.
*  Permission to use, copy, modify, and distribute this source code
*  for any purpose and without fee is hereby granted, provided that
*  the above copyright and this permission notice appear in all copies
*  and supporting documentation, and provided that Iris Computing
*  Laboratories not be named in advertising or publicity pertaining
*  to the redistribution of this software without specific, written
*  prior permission.
**********************************************************************/

#include "xcctool.h"


#define		MAX_FILENAME_LEN	256
#define		MAX_PATH_LEN		1024

#define		WARN				1	/* don't issue a message */
#define		NOWARN				0

#define		NO_LINE_NUM			-1

#define		MAX_STR				100
#define		MAX_ERR				50

#define		EOS					'\0'


/*
Function declarations:
*/

extern void initialize_cctool_structures();
extern void compile_file();
extern void retrieve_errors();
extern void process_previous_error();
extern void process_next_error(); 
extern int edit_text();
extern int check_save_edit_buffer();
extern void make_file();
extern void save_proc();


#endif
