/****    editor.h    ****/

/****    external declarations for editor.c    ****/

#ifndef	EDITOR_H
#define	EDITOR_H	1

/**********************************************************************
*  Copyright (c) 1990, 1991, 1992 Iris Computing Laboratories.
*
*  This software is provided for demonstration purposes only.  As
*  freely-distributed, modifiable source code, this software carries
*  absolutely no warranty.  Iris Computing Laboratories disclaims
*  all warranties for this software, including any implied warranties
*  of merchantability and fitness, and shall not be liable for
*  damages of any type resulting from its use.
*  Permission to use, copy, modify, and distribute this source code
*  for any purpose and without fee is hereby granted, provided that
*  the above copyright and this permission notice appear in all copies
*  and supporting documentation, and provided that Iris Computing
*  Laboratories not be named in advertising or publicity pertaining
*  to the redistribution of this software without specific, written
*  prior permission.
**********************************************************************/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

#ifdef X11R3
#include <X11/AsciiText.h>
#include <X11/Box.h>
#include <X11/Command.h>
#include <X11/Simple.h>
#include <X11/VPaned.h>
#else
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Simple.h>
#endif

#include <sys/stat.h>
#include <stdio.h>


/*
Constants:
*/

#define EOS		'\0'
#define LF		'\n'

#define EDIT_MAX_TEXT_LEN	50000
#define	MAX_FILENAME_LEN	256
#define	MAX_PATH_LEN		1024



/*
Widget declarations:
*/

extern Widget editShell, windowEdit, labelEdit, textEdit,
	buttonBoxEdit, buttonDoneEdit, buttonSaveEdit;


/*
Function declarations:
*/

extern void create_edit_window(), cleanup_edit_window(),
	set_edit_save_proc(), edit(), edit_done();;
extern int file_size(), load_edit_buffer(), save_edit_buffer();
extern int goto_line_edit_buffer(), modified_edit_buffer();
extern void EditDone();

#endif

