/****    xcctool.h    ****/

/****    external declarations for xcctool.c    ****/

/**********************************************/
/* `xcctool' is a simple compiler tool for X. */
/**********************************************/

#ifndef	XCCTOOL_H
#define	XCCTOOL_H	1

/**********************************************************************
*  Copyright (c) 1990, 1991, 1992 Iris Computing Laboratories.
*
*  This software is provided for demonstration purposes only.  As
*  freely-distributed, modifiable source code, this software carries
*  absolutely no warranty.  Iris Computing Laboratories disclaims
*  all warranties for this software, including any implied warranties
*  of merchantability and fitness, and shall not be liable for
*  damages of any type resulting from its use.
*  Permission to use, copy, modify, and distribute this source code
*  for any purpose and without fee is hereby granted, provided that
*  the above copyright and this permission notice appear in all copies
*  and supporting documentation, and provided that Iris Computing
*  Laboratories not be named in advertising or publicity pertaining
*  to the redistribution of this software without specific, written
*  prior permission.
**********************************************************************/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

#ifdef X11R3
#include <X11/Box.h>
#include <X11/Command.h>
#include <X11/Form.h>
#include <X11/VPaned.h>
#else
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Paned.h>
#endif

#include <stdio.h>

#include "Choice.h"
#include "SimpleText.h"


#define YES				1
#define NO				0
#define MAX_PATH_LEN	1024


#define DEFAULT_EDIT_FONT_NAME		"fixed"

#define DEFAULT_EDIT_WIDTH		400			/* pixels */
#define DEFAULT_EDIT_HEIGHT		300			/* pixels */
#define DEFAULT_EDIT_ROWS		30
#define DEFAULT_EDIT_COLUMNS	80
#define DEFAULT_EDIT_SIZE		50000
#define MAX_EDIT_ROWS			80
#define MAX_EDIT_COLUMNS		160
#define MAX_EDIT_SIZE			500000


#define DEFAULT_CC_LIBRARIES	"Xaw Xmu Xt X11"

/*
Application resources:
*/

typedef struct {
	int edit_rows;
	int edit_columns;
	int edit_size;
	XFontStruct *edit_font;
	char *cc_libraries;
} ApplicationData, *ApplicationDataPtr;


#define XtNeditRows		"editRows"
#define XtCEditRows		"EditRows"
#define XtNeditColumns	"editColumns"
#define XtCEditColumns	"EditColumns"
#define XtNeditSize		"editSize"
#define XtCEditSize		"EditSize"
#define XtNlibraries		"libraries"
#define XtCLibraries		"Libraries"
#define XtNeditFont		"editFont"
#define XtCEditFont		"EditFont"


/*
Widget declarations:
*/

extern Widget compileShell, errorShell, makeShell, topLevel,
	formCompile, formMake, errorMsgBox,
	buttonBoxMain, buttonBoxCompile, buttonBoxError, buttonBoxMake,
	vPaneCompile, vPaneError, vPaneMake,
	buttonQuit, buttonCompile, buttonMake,
	buttonDoneCompile, buttonEditCompile, buttonCompileCompile,
	buttonErrorCompile,
	buttonDoneError, buttonNextError, buttonPreviousError,
	buttonDoneMake, buttonMakeMake,
	compilerBoxCompile, optionsBoxCompile, librariesBoxCompile,
	directoryBoxCompile, filenameBoxCompile,
	cflagsBoxMake, librariesBoxMake, optionsBoxMake, ldflagsBoxMake,
	directoryBoxMake, filenameBoxMake;



/*
Function declarations:
*/

extern void	reset_proper_keyboard_focus();
extern void compile(), error(), make();

#endif

